Cisco закрыла пять критических уязвимостей CDPwn: рекомендуется немедленно установить патчи

 

Компания Cisco опубликовала список из пяти уязвимостей, которым оказался подвержен целый ряд продуктов, от маршрутизаторов до веб-камер и VoIP-телефонов. 

Ядром проблемы оказалась реализация протокола Cisco Discovery Protocol (CDP), недоработки которой позволяли атакующим перехватывать управление продуктами Cisco без какого-либо вмешательства пользователя. Для этого достаточно было послать на нужное устройство специальным образом сформированный CDP-пакет.

CDP является протоколом 2 уровня (Layer 2) и служит для удобного управления устройствами Cisco, поскольку позволяет обнаруживать такие устройства в сети и определять их конфигурацию.

Cisco Nexus: подвержены уязвимости

Cisco Nexus: подвержены уязвимости

Компания Armis Security обнаружила вышеупомянутые уязвимости и присвоила им общее имя CDPwn. Опасность, представляемая этими уязвимостями, очень высока. От атак CDPwn может не спасти даже разделение сети на сегменты. Вот эти пять уязвимых категорий:

  • Уязвимость CDP в IP-телефонах Cisco позволяет удалённо запускать код с привилегиями root или выполнять перезагрузку устройства. Подвержены Cisco IP Conference Phones серий с 6ххх по 8ххх, а также Wireless IP Phone 8821 и 8821-EX.
  • Реализация CDP в Cisco NX-OS позволяет атакующему вызывать переполнение стека (stack overflow), что, в свою очередь, ведет к возможности запуска кода с административными привилегиями. Подвержены коммутаторы Nexus 3000, 5500, 5600, 6000 и 9000.
  • Уязвимость CDP в устройствах Cisco Video Surveillance 8000 позволяет удалённо запускать вредоносный код или вызывать перезагрузку устройства, создавая статус Denial of Service (DoS). Подвержены все IP-камеры серии Video Survelliance 8000 при условии, что протокол CDP включён и прошивка имеет версию ниже 1.0.7.
  • Аналогично коммутаторам Nexus могут быть атакованы и маршрутизаторы, использующие Cisco IOS XR. В список входят ASR 9000 Series Aggregation Services, IOS XRv 9000, а также Network Convergence System (NCS) серий 540, 560, 1000, 5000 и 6000. Cisco отмечает, что уязвимости подвержены и решения третьих производителей, если в них задействовал протокол CDP и используется уязвимая версия IOSR XR.
  • Недоработки в CDP в системах ПО FXOS, IOS XR и NX-OS позволяют атакующему из той же сети, где находятся устройства с этим ПО, организовывать утечку памяти, вызывая перезагрузку устройств.

Cisco Systems уже опубликовала обновления, закрывающие соответствующие уязвимости. По ссылкам, приведённым выше, доступна более подробная информация как о самой уязвимости, так и о способах её обнаружения. Там же можно найти информацию о версиях ПО и скачать обновления, в которых уязвимости уже исправлены. В качестве временной меры возможно отключение поддержки CDP.

Если вы заметили ошибку — выделите ее мышью и нажмите CTRL+ENTER. | Можете написать лучше? Мы всегда рады новым авторам.

Источник:

Постоянный URL: https://servernews.ru/1003093
Поделиться:  

Комментарии

Система Orphus